--- old/usr/src/lib/libmvec/common/__vatan2f.c	2014-05-11 12:16:28.620138603 +0200
+++ new/usr/src/lib/libmvec/common/__vatan2f.c	2014-05-11 12:16:28.650104728 +0200
@@ -51,19 +51,19 @@
 __vatan2f( int n, float * restrict y, int stridey, float * restrict x,
 	int stridex, float * restrict z, int stridez )
 {
-	float		x0, x1, x2, y0, y1, y2, *pz0, *pz1, *pz2;
+	float		x0, x1, x2, y0, y1, y2, *pz0 = 0, *pz1, *pz2;
 	double		ah0, ah1, ah2;
 	double		t0, t1, t2;
 	double		sx0, sx1, sx2;
 	double		sign0, sign1, sign2;
-	int		i, k0, k1, k2, hx, sx, sy;
+	int		i, k0 = 0, k1, k2, hx, sx, sy;
 	int		hy0, hy1, hy2;
-	float		base0, base1, base2;
+	float		base0 = 0.0, base1, base2;
 	double		num0, num1, num2;
 	double		den0, den1, den2;
 	double		dx0, dx1, dx2;
 	double		dy0, dy1, dy2;
-	double		db0, db1, db2;		
+	double		db0, db1, db2;
 
 	do
 	{
